Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

PostgreSQL dbPort

2005-02-15
2013-05-02
1 2 > >> (Page 1 of 2)
  • David Maria
    David Maria
    2005-02-15

    Hi!

    Although a bit new to this project, want to dedicate some of my resources (developers and time, machines and so...) to make it work on PostgreSQL.

    Have seen some references in source code extracted from CVS and 2.5.2 packaged version but still confused.

    - What level of completion has this task?
    - Is there anybody out there who can point us where to start from?

    Any help would be appreciated...

    David

     
    • Hi all!

      yes, Compiere & PostgreSQL is now reality, e-Evolution will oficiality support  PostgreSQL 8.0.1, We are finishing the work which started a few years ago.

      http://sourceforge.net/forum/message.php?msg_id=1563971

      e-Evolution have planend to release the Compiere 252 with PostgreSQL 8.0.1 the next week.

      Victor Perez
      www.e-evolution.com

       
      • Victor,

        Are you using SQLJ functions with PostgreSQL?
        (they have a working Java implementation called plJava)
        Just curious.

        Eldir

         
          • Bart
            Bart
            2005-02-15

            Will there be any problems with Compiere/PLJava communicating with my OS/2 port of postgreSQL 8 ?

            I assume the jdbc driver for postgreSQL is required.

            Thanks

            Bart

             
            • Bart,

              If you can get plJava to work on OS/2 it will be no problem.
              I have no idea wether that is the case....
              I have tested it on Windows and Linux, which are also the testing platforms used by the developer of plJava.

               
            • Hi Bart!

              The requisites are:

              PostgreSQL 8.0.1 (http://www.postgresql.org/)
              PLJava install as language into PostgreSQL (http://gborg.postgresql.org/project/pljava/projdisplay.php)
              JDBC 8.0-310 JDBC 3 (http://jdbc.postgresql.org)
              JAVA 1.5

              The currently  environment  we are doing the port is:

              Linux 2.6.8-24.11-default SUSE 9.2 AMD64
              Java HotSpot(TM) 64-Bit Server VM (build 1.5.0_01-b08, mixed mode)
              PostgreSQL 8.0.1 for AMD64
              Compiere 252

              Best Regards
              Victor
              www.e-evolution.com

               
              • Hola Victor,

                the PostgreSQL Port is the port I find in the sourcecode of 2.5.2? And I can find DDL Files in the CVS too, to build Compiere on Postgres?

                Thanks a lot in advance,

                Johan Steunenberg

                 
      • User-Of-BSD.
        User-Of-BSD.
        2005-03-02

        *clap*  *clap*

        Getting PostgreSQL and Compiere together was why I sent in the 'donation' so many years ago.

        I'll spend support money with people who actually support the database I use.

         
      • User-Of-BSD.
        User-Of-BSD.
        2005-03-13

        The series of links telling us how to install PostgreSQL 8 and all the rest of the hooks exist

        http://www.e-evolution.com.mx/postgreinstall2.html

        But the links to download Compiere are not active.

        When will the DLing of Compiere-PostgreSQL happen?

         
        • rob young
          rob young
          2005-03-14

          At the bottom of
          http://www.e-evolution.com.mx/postgreinstall2.html
          It has a link to
          Load Compiere dump

          and then

          #   Download Compiere with PostgreSQL

          Is this link broken? Where can we down load this?

           
          • Alin Vaida
            Alin Vaida
            2005-03-16

            Now the link is active, but there seems to be a  problem with the webstore (btw, this was supposed to be free, wasn't it?).

             
    • Bart
      Bart
      2005-02-15

      PostgreSQL 8.0.1 for OS/2 is no problem.

      PLJava install looks pretty simple.

      JDBC 8.0-310 JDBC 3:  I've already had the driver working with postgreSQL for OS/2 when I tried openCRX.

      Do you really need JAVA 1.5 ? Both PLJava and the jdbc driver say 1.4 is OK.

      Can the JDK 1.4 be used instead of HotSpot?

      Bart

       
      • Yes PlJava & jdbc are working fine with java1.4, I had  some problems with j2sdk1.4.2 AMD64 Linux, because Eclipse crash , but I resolved the problem and now is working with Java 1.4.

        Chears
        Victor
        www.e-evolution.com

         
        • User-Of-BSD.
          User-Of-BSD.
          2005-03-10

          When might your PostgreSQL operating version of be made aviable to us in 'the masses'?

          I'd paid for many McDonald's meals for Jorge expecting PostgreSQL support back in 2002, and am still waiting....so when will you end my waiting?

           
    • Bart
      Bart
      2005-02-16

      Hi Victor. I checked out your web site. It sure takes a long time to load here. Unfortunatley I don't speak Spanish :-)
      The PLJava web site says it comes with:
      "An embedded, high performance, JDBC driver utilizing the internal PostgreSQL SPI routines."
      So why do you also need the jdbc3-810 driver?

      Also,
      is this work by e-evolution the official solution of Compiere, or will the database independency efforts of Compiere result in another way to use postgresql in the future?

      Thanks

      Bart

       
      • Hi again!

        Yes, I know PLJAVA has a JDBC Native, the main problem is Compiere 252 has the following requirements:

        # Full support of ANSI SQL 99 (CASE, all JOIN types, ..)
        # Support of Views and Views on Views
        # Support of User Defined Functions
        (preferably via SQLJ - Java running in the database)
        # Inline Views (e.g. SELECT ... FROM (SELECT xx FROM yy) ..)
        # JDBC 3.0 Support (especially RowSet)

        http://www.compiere.org/technology/database/index.html

        Currently it is an independency effort, but if Jorg  agrees we could integrate It in the  Compiere core.

        Best regards
        Victor

         
    • Bart
      Bart
      2005-02-16

      Hi Victor, more questions I'm afraid...

      are you making changes to Compiere to work with PLJava? So there will have to be a special postgresql distribution of Compieire that you will maintain?

      Thanks

       
      • Hi Bart!

        We are creating the functions SQLJ for PostgreSQL, You do not need a special PostgreSQL distribution, you  only should load SQLJ Fuction, however e-Evolution supports everything about PostgreSQL

        Victor

         
    • Bart
      Bart
      2005-02-18

      thanks Victor,

      PLJava has to be compiled for OS/2, Once I get that done, I should be able to get your version of Compiere 252 working. Right?

      But what about Jorge's database independancy efforts... will there be another way to use postgresql in the near future?  I think before many people adopt your gracious offer, we need to hear from jorg.

      Bye

       
    • Bart
      Bart
      2005-02-24

      The person who maintaining the OS/2 port of postgresql has volunteered to compile PLJava when he has time.

      When is done, I will be in a position to try a Compiere installation with the e-evolution distribution.

      Is your  distribution ready Victor?

      Bart

       
    • Bart
      Bart
      2005-02-28

      Hi Victor,

      I have PLJava compiled for OS/2. My environment is ready, how do we download your Compiere version?

      Regards

      Bart

       
    • kuzhie
      kuzhie
      2005-03-03

      Hi Victor,

      Is Compiere for Postgre available for download now? Where can I download it? Our company would love to try it out.

      Thank you.

       
      • rob young
        rob young
        2005-03-04

        I would also like to try this out as soon as possible.

        Will Compiere be creating a different cost structure for installs using postgreSQL?

        I assume that most of the current cost is the Oracle license fee but I have not seen a break down

         
    • ADAXA
      ADAXA
      2005-03-05

      re: "I assume that most of the current cost is the Oracle license fee but I have not seen a break down"

      cost was discussed in the thread ...
      http://sourceforge.net/forum/forum.php?thread_id=1198386&forum_id=146439

       
1 2 > >> (Page 1 of 2)